curl --request POST \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb"
}
'import requests
url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse"
payload = {
"redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redemptionCode: '04c229d7-03cb-421f-9d77-1c0ff1fc2641',
profileId: '67460e74-02e3-11e8-b443-00163e990bdb'
})
};
fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'redemptionCode' => '04c229d7-03cb-421f-9d77-1c0ff1fc2641',
'profileId' => '67460e74-02e3-11e8-b443-00163e990bdb'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse"
payload := strings.NewReader("{\n \"redemptionCode\": \"04c229d7-03cb-421f-9d77-1c0ff1fc2641\",\n \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"redemptionCode\": \"04c229d7-03cb-421f-9d77-1c0ff1fc2641\",\n \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"redemptionCode\": \"04c229d7-03cb-421f-9d77-1c0ff1fc2641\",\n \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Reward reversed successfully.",
"errors": {},
"data": null
}{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}{
"detail": "Authentication Failed"
}Reverse Redeemed Rewards
Converts rewards back to points when the order is cancelled or returned.
Note: Once a reward has been redeemed, it cannot be cancelled. To cancel the rewards (convert back to points) before redemption, use the Cancel Reward endpoint - POST /api/v1/redeem/cancel.
curl --request POST \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb"
}
'import requests
url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse"
payload = {
"redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redemptionCode: '04c229d7-03cb-421f-9d77-1c0ff1fc2641',
profileId: '67460e74-02e3-11e8-b443-00163e990bdb'
})
};
fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'redemptionCode' => '04c229d7-03cb-421f-9d77-1c0ff1fc2641',
'profileId' => '67460e74-02e3-11e8-b443-00163e990bdb'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse"
payload := strings.NewReader("{\n \"redemptionCode\": \"04c229d7-03cb-421f-9d77-1c0ff1fc2641\",\n \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"redemptionCode\": \"04c229d7-03cb-421f-9d77-1c0ff1fc2641\",\n \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"redemptionCode\": \"04c229d7-03cb-421f-9d77-1c0ff1fc2641\",\n \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Reward reversed successfully.",
"errors": {},
"data": null
}{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}{
"detail": "Authentication Failed"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Details of Reverse Rewards endpoint
Redemption code used to identify the rewards used in a specific transaction. This is generated in the response of the Issue Variable Rewards endpoint - POST /api/v1/redeem/reward/issue.
"04c229d7-03cb-421f-9d77-1c0ff1fc2641"
Profile ID of the member. In an ecosystem, it acts as a primary ID to keep the various systems (apps, websites, etc.) in sync.
"67460e74-02e3-11e8-b443-00163e990bdb"
Response
OK
Response (metadata) of reward reversal
Status of the call
200
Message corresponding to the call
1"Reward reversed successfully."
Error details, if applicable.
Additional data, if applicable
null
Was this page helpful?
